Subject: RE: linux-next: build failure after merge of the samsung tree

From: Kukjin Kim <[email-masked]>
Date: Wed, 24 Sep 2014 12:04:36 +0900

Stephen Rothwell wrote:
> Hi Kukjin,
Hi Stephen,

> After merging the samsung tree, today's linux-next build (arm multi_v7_defconfig)
> failed like this:
> 
> arch/arm/boot/dts/exynos5250-snow.dts:13:46: fatal error: dt-bindings/clock/maxim,max77686.h: No such
> file or directory
>  #include <dt-bindings/clock/maxim,max77686.h>
>                                               ^
> 
+ Mike

Hmm... I think, inclusion of the header file should be included in Mike's clk
tree...What's wrong?

> Caused by commit c04c92ed5614 ("ARM: dts: Add rtc_src clk for s3c-rtc on exynos5250-snow").
> 
> In file included from arch/arm/mach-tegra/cpuidle-tegra114.c:17:0:
> arch/arm/mach-tegra/cpuidle-tegra114.c: In function 'tegra114_idle_power_down':
> arch/arm/include/asm/firmware.h:64:24: error: too few arguments to function 'firmware_ops->do_idle'
>   ((firmware_ops->op) ? firmware_ops->op(__VA_ARGS__) : (-ENOSYS))
>                         ^
> arch/arm/mach-tegra/cpuidle-tegra114.c:52:6: note: in expansion of macro 'call_firmware_op'
>   if (call_firmware_op(do_idle) == -ENOSYS)
>       ^
> 
> Caused by commit f5217f3b9332 ("ARM: EXYNOS: add AFTR mode support to
> firmware do_idle method").

OK, I'll revert it firstly. Thanks.

> 
> I have used the samsung tree from next-20140923 for today.

OK.

- Kukjin